<!DOCTYPE html>
<html lang="es" xmlns:th="https://www.thymeleaf.org">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Skydash Admin</title>
  <!-- plugins:css -->
  <link rel="stylesheet" href="../../vendors/feather/feather.css">
  <link rel="stylesheet" href="../../vendors/ti-icons/css/themify-icons.css">
  <link rel="stylesheet" href="../../vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- Plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../../css/vertical-layout-light/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../../images/logoSanBorja.png" />
</head>

<body>
  <div class="container-scroller">
<!-- Fragmento nav -->
    <layouttag th:include="fragments/common :: nav-fragment" />

    <!-- partial -->
    <div class="container-fluid page-body-wrapper" >

	<!-- Fragmento theme-setting-wrapper-->
	<layouttag th:include="fragments/common :: theme-setting-wrapper-fagment" />
	
    <!-- Fragmento sidebar -->
    <layouttag th:include="fragments/common :: sidebar-fragment" />
    
    
    <!-- Principal -->
    <div class="main-panel">
        <div class="content-wrapper">
        <div class="row">
          <div class="col-lg-3 grid-margin stretch-card"></div>
          <div class="col-lg-6 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                	<div th:if="${MunicipioTarifa.muni_Id == 0}">
                  		<h4 class="card-title">Insertar Municipio</h4>     		                  	
		                  <p class="card-description">
		                    Insertar los datos del municipio 
		                  </p>
		                  <div th:if="${mensaje != null}"> 
		                  	  <div class="alert alert-danger" th:text="${mensaje}"></div>
		                  </div>
		                  <form  class="forms-sample" th:action="@{/configuracion/municipioRegistro}"
		                   th:object="${MunicipioTarifa}" method="POST" accept-charset="UTF-8">							  
		                    <div class="form-group">
		                      <label for="exampleInputNombre">Nombre</label>
		                      <input type="text" class="form-control" id="exampleInputNombre" placeholder="Nombre"
		                      th:field="*{muni_Nombre}" th:value="${muni_Nombre}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('muni_Nombre')}" th:errors="*{muni_Nombre}"></div>
		                    </div>
		            
		                    <div class="form-group">
		                      <label for="exampleInputTarifa">Tarifa por minuto</label>
		                      
		                      <div class="input-group">
		                      <div class="input-group-prepend"><span class="input-group-text" style="color:GRAY;" th:text="${session.moneda}"></span></div>
		                      <input type="text" class="form-control" id="exampleInputTarifa" placeholder="Tarifa"
		                      th:field="*{tari_Monto}" th:value="${tari_Monto}" onkeypress="return check(event)">
		                      </div>
		                  	<div class="alert alert-warning" th:if="${#fields.hasErrors('tari_Monto')}" th:errors="*{tari_Monto}"></div>
		                    </div>
		                 	
		      				<div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:14px" for="defaultCheck">
							  <input type="checkbox" th:field="*{muni_Activo}" th:value="${muni_Activo}" id="defaultCheck"> 
							    Activo
							  </label>
							</div>
		  
		                    <button type="submit" class="btn btn-primary mr-2" style="padding: 0.65rem 1.2rem;">Crear</button>
		                    <a th:href="@{/configuracion/municipio}" class="btn btn-light" style="padding: 0.65rem 1.2rem;">Cancelar</a>
		                  </form>
                  		</div> 
                  	<div th:if="${MunicipioTarifa.muni_Id != 0}">
                  		<h4 class="card-title">Actualizar Municipio</h4>	                  	
		                  <p class="card-description">
		                    Actualizar los datos del municipio 
		                  </p>
		                  <div th:if="${mensaje != null}"> 
		                  	  <div class="alert alert-danger" th:text="${mensaje}"></div>
		                  </div>
		                  <form class="forms-sample" th:action="@{/configuracion/municipioRegistro/} + ${MunicipioTarifa.muni_Id}" th:object="${MunicipioTarifa}" method="POST" accept-charset="UTF-8">
		                  	<input type="hidden" th:field="*{muni_Id}"></input>
		                  	<input type="hidden" th:field="*{tari_Id}"></input>
		                    
		                    <div class="form-group">
		                      <label for="exampleInputNombre">Nombre</label>
		                      <input type="text" th:field="*{muni_Nombre}" class="form-control" id="exampleInputNombre" placeholder="Nombre">
		                      <div class="alert alert-warning" th:errors="*{muni_Nombre}"></div>
		                    </div>
		                    <div class="form-group">
		                      <label for="exampleInputTarifa">Tarifa por minuto</label>
		                      
		                      <div class="input-group">
		                      <div class="input-group-prepend"><span class="input-group-text" style="color:GRAY;" th:text="${session.moneda}"></span></div>
		                      <input type="text" class="form-control" id="exampleInputTarifa" placeholder="Tarifa"
		                      th:field="*{tari_Monto}" th:value="${tari_Monto}" onkeypress="return check(event)">
		                      </div>
		                  	<div class="alert alert-warning" th:if="${#fields.hasErrors('tari_Monto')}" th:errors="*{tari_Monto}"></div>
		                    </div>
		                    
		                    <div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:14px" for="defaultCheck">
							  <input type="checkbox" th:field="*{muni_Activo}" th:value="${muni_Activo}" id="defaultCheck"> 
							    Activo
							  </label>
							</div>
		                    <button type="submit" class="btn btn-primary mr-2">Actualizar</button>
		                    <a th:href="@{/configuracion/municipio}" class="btn btn-light">Cancelar</a>
		                  </form>
                  	</div>  
                </div>
              </div>
            </div>
        </div>
		 <layouttag th:include="fragments/common :: footer" />
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <script>
  	function check(e) {
	    tecla = (document.all) ? e.keyCode : e.which;
	
	    //Tecla de retroceso para borrar, siempre la permite
	    if (tecla == 8) {
	        return true;
	    }
	
	    // Patrón de entrada, en este caso solo acepta numeros y letras
	    patron = /[0-9.]/;
	    tecla_final = String.fromCharCode(tecla);
	    return patron.test(tecla_final);
	}
  </script>
  <!-- plugins:js -->
  <script src="../../vendors/js/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- Plugin js for this page -->
  <!-- End plugin js for this page -->
  <!-- inject:js -->
  <script src="../../js/off-canvas.js"></script>
  <script src="../../js/hoverable-collapse.js"></script>
  <script src="../../js/template.js"></script>
  <script src="../../js/settings.js"></script>
  <script src="../../js/todolist.js"></script>
  <!-- endinject -->
</body>

</html>
